//
//  ViewController.swift
//  swift_sample
//
//  Created by Muta Huang on 06/07/2017.
//  Copyright © 2017 TSC. All rights reserved.
//

import UIKit
import tscswift

class ViewController: UIViewController {

    
    var bt = Bluetooth()
    var wireless = WiFi()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    @IBAction func Send(_ sender: UIButton)
    {
        bt.openport_mfi()
        Thread.sleep(forTimeInterval: 1)
        
        //var status = bt.printer_status(delay: 2)
        //<00> Normal, <01>Head opened, <10>Pause
        
        bt.sendcommand("DIRECION 1\r\n")
        //bt.setup("100", height: "120", speed: "4", density: "10", sensor: "0", vertical: "2", offset: "0")
        bt.sendcommand("SIZE 100 mm, 120 mm\r\n")
        bt.sendcommand("SPEED 4\r\n")
        bt.sendcommand("DENSITY 10\r\n")
        bt.sendcommand("GAP 2 mm, 0 mm\r\n")
        //bt.sendcommand("BLINE 2 mm, 0 mm\r\n")//black mark
        
        bt.clearBuffer()
        
        //Using downloaded font to print text
        /*bt.sendcommand("CODEPAGE UTF-8\r\n")
         bt.sendcommand_utf8("TEXT 30,30,\"ARIALUNI.TTF\",0,8,8,\"中文Englishにほンゴ한국어\"\r\n")*/
        bt.sendcommand("TEXT 30,30,\"2\",0,2,2,\"1234567\"\r\n")
        bt.printerfont("30", y: "100", fontName: "2", rotation: "0", magnificationRateX: "2", magnificationRateY: "2", content: "Printer Font Test!")
        bt.windowsfont(30, y: 170, height: 32, rotation: 0, style: 0, withUnderline: 0, fontName: "Arial", content: "中文Englishにほンゴ한국어")
        //fontName: Please refer to "iosfonts.com"
        
        bt.barcode("30", y: "300", barcodeType: "39", height: "70", readable: "1", rotation: "0", narrow: "2", wide: "6", code: "12345")
        
        //Download PCX
        var mainBunle = Bundle.main
        var absolutePath = mainBunle.path(forResource: "UL", ofType: "pcx")
        bt.downloadpcx(absolutePath!, name: "UL.PCX")
        bt.sendcommand("PUTPCX 300,250,\"UL.PCX\"\r\n")
        
        bt.printlabel(1, copies: 1)
        
        bt.closeport(4)
    }
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

